Bug 864531 - Review Request: opensaml-java - Java OpenSAML library
Review Request: opensaml-java - Java OpenSAML library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Spike
Fedora Extras Quality Assurance
:
Depends On: 860505 864432 866410
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 10:10 EDT by Marek Goldmann
Modified: 2012-11-27 00:13 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-20 07:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
SpikeFedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2012-10-09 10:10:25 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/opensaml-java/2.5.3-1/opensaml-java.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/opensaml-java/2.5.3-1/opensaml-java-2.5.3-1.fc17.src.rpm
Fedora Account System Username: goldmann
Description: 

OpenSAML is a set of open source C++ & Java libraries meant to support
developers working with the Security Assertion Markup Language (SAML).
OpenSAML 2, the current version, supports SAML 1.0, 1.1, and 2.0.
Comment 1 Spike 2012-10-20 01:46:57 EDT
I'll do this one.
Comment 2 Spike 2012-10-20 02:08:54 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
opensaml-java.noarch: W: file-not-utf8 /usr/share/doc/opensaml-java-2.5.3/doc/CREDITS.txt
opensaml-java.src:74: W: macro-in-comment %pom_remove_dep
opensaml-java.src: W: invalid-url Source0: opensaml-java-2.5.3.tar.xz
opensaml-java-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
opensaml-java-javadoc.noarch: W: file-not-utf8 /usr/share/doc/opensaml-java-javadoc-2.5.3/doc/CREDITS.txt
opensaml-java.spec:74: W: macro-in-comment %pom_remove_dep
opensaml-java.spec: W: invalid-url Source0: opensaml-java-2.5.3.tar.xz


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[-]  Sources used to build the package matches the upstream source, as provided in the spec URL.
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[!]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-x86_64


=== Issues ===
1. rpmlint:
- Invalid source url can be ignored (scc checkout).
- You could escape the comment macro (%%pom_remove_dep) or just remove it
- Please fix CREDITS.txt's file encoding
Comment 4 Spike 2012-10-22 07:02:26 EDT
================
*** APPROVED ***
================
Comment 5 Marek Goldmann 2012-10-22 07:04:09 EDT
Thanks for review!

New Package SCM Request
=======================
Package Name: opensaml-java
Short Description: Java OpenSAML library
Owners: goldmann
Branches: f17 f18
Comment 6 Gwyn Ciesla 2012-10-22 08:05:37 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-11-20 08:22:56 EST
opensaml-java-2.5.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/opensaml-java-2.5.3-2.fc18
Comment 8 Fedora Update System 2012-11-27 00:13:58 EST
opensaml-java-2.5.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.